Bug 1812227 - WebUI spinner spins forever when clicking a column within Ansible config report
Summary: WebUI spinner spins forever when clicking a column within Ansible config report
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Ansible
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: 6.9.0
Assignee: Ondřej Ezr
QA Contact: Ondrej Gajdusek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-10 19:29 UTC by Pablo Hess
Modified: 2021-04-21 13:12 UTC (History)
4 users (show)

Fixed In Version: foreman-2.3.2,foreman-2.3.1.1-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-21 13:12:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 31526 0 Normal Closed WebUI spinner spins forever when clicking a column within config report 2021-02-16 15:18:12 UTC

Description Pablo Hess 2020-03-10 19:29:52 UTC
Description of problem:
When viewing an individual Ansible config report, it shows Report Metrics and Report Status at the bottom of the page. Columns in the Report Status chart are clickable but, when clicked, all they do is spin the spinner forever.

Version-Release number of selected component (if applicable):
Satellite 6.7.0 beta

How reproducible:
Every time

Steps to Reproduce:
1. Click Hosts > All Hosts > {an individual host that has ever run an Ansible role}
2. Click the Reports button to view config reports for this host.
3. Click the Last report item for any Ansible config report (they are the ones with a value of N/A in the Origin column, [see https://bugzilla.redhat.com/show_bug.cgi?id=1810600])
4. Scroll to the bottom of the page, find the Report Status chart.
5. Click any chart column (.e.g applied, skipped, etc.)

Actual results:
The webpage does not change at all except for a spinner that starts spinning next to the Location selector at the top. The spinner never stops.


Expected results:
The webUI would take us to all reports matching the status we clicked (applied, skipped, etc.).


Additional info:

Comment 6 Ondřej Ezr 2020-12-17 13:41:53 UTC
Created redmine issue https://projects.theforeman.org/issues/31526 from this bug

Comment 7 Bryan Kearney 2020-12-17 15:14:00 UTC
Upstream bug assigned to oezr@redhat.com

Comment 8 Bryan Kearney 2020-12-17 15:14:03 UTC
Upstream bug assigned to oezr@redhat.com

Comment 10 Ondrej Gajdusek 2021-02-22 16:20:14 UTC
VERIFIED

The provided patch fixes the behavior of the spinner. The spinner is gone, but clicking the columns have now no effect on the WebUI behavior. RFE for that - BZ1931530.

Comment 13 errata-xmlrpc 2021-04-21 13:12:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.9 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1313


Note You need to log in before you can comment on or make changes to this bug.